"use client";
import { Button } from "~/components/ui/button";
import FormCard from "./_components/FormCard";
import useFilterStore from "./store";

const AddRegionButton: React.FC = () => {
  const addRegion = useFilterStore((state) => state.addRegion);

  const handleClick = () => {
    addRegion("sverige");
  };

  return <Button onClick={handleClick}>Add Region "Sverige"</Button>;
};

const ResetFilters: React.FC = () => {
  const resetFilters = useFilterStore((state) => state.resetFilters);

  const handleClick = () => {
    resetFilters();
  };

  return <Button onClick={handleClick}>Reset filters</Button>;
};

export default function App() {
  const filters = useFilterStore((state) => state.filters);

  return (
    <div className="container flex w-full flex-col justify-center">
      <FormCard />
      <h1 className="text-2xl">Filter state:</h1>
      {JSON.stringify(filters)}
      <AddRegionButton />
      <ResetFilters />
    </div>
  );
}
